%define pypi_name pyconfig

Name:           python-%{pypi_name}
Version:        3.2.3
Release:        %mkrel 10
Summary:        Python-based singleton configuration
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pyconfig/
Source0:        https://files.pythonhosted.org/packages/50/70/8735b55844a482e65daf82827275d3d5867b77fb6413c99061c984dba226/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This module provides python based configuration that is stored in a singleton
object to ensure consistency across your project.

%package -n     python3-%{pypi_name}
Summary:        Python-based singleton configuration
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
This module provides python based configuration that is stored in a singleton
object to ensure consistency across your project.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyconfig

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/pyconfig


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.2.3-10.mga10
+ Revision: 2241193
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 3.2.3-9.mga10
+ Revision: 2158473
- rebuild for python3.13

* Fri Feb 02 2024 papoteur <papoteur> 3.2.3-8.mga10
+ Revision: 2036737
- rebuild for python 3.12
- use pyproject macros

* Wed Mar 23 2022 umeabot <umeabot> 3.2.3-7.mga9
+ Revision: 1823446
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 3.2.3-6.mga9
+ Revision: 1783252
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 3.2.3-5.mga9
+ Revision: 1708419
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 3.2.3-4.mga8
+ Revision: 1608295
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 3.2.3-3.mga8
+ Revision: 1534289
- Mageia 8 Mass Rebuild

* Wed Oct 02 2019 guillomovitch <guillomovitch> 3.2.3-2.mga8
+ Revision: 1448947
- rebuild for python 3.8
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 3.2.3-1.mga8
+ Revision: 1417034
- imported package python-pyconfig

